<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;

class AddCopyrightNotesRubricCriterion extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('criterion_rubric', function (Blueprint $table) {
			$table->text('copyright')->nullable();
			$table->text('notes')->nullable();
		});
		Schema::table('template_criterion', function (Blueprint $table) {
			$table->text('copyright')->nullable();
			$table->text('notes')->nullable();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('criterion_rubric', function (Blueprint $table) {
			$table->dropColumn(array('copyright', 'notes'));
		});
		Schema::table('template_criterion', function (Blueprint $table) {
			$table->dropColumn(array('copyright', 'notes'));
		});
	}
}
