<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class FixActivities extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('activities', function (Blueprint $table) {
			$table->dropColumn(array(
				'criteria_achieved',
				'outcomes_attempted', 'outcomes_achieved',
				'criteria_weights', 'criteria_achieved_percentage',
				'criteria_participant_count', 'criteria_achiever_count'
			));
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('activities', function (Blueprint $table) {
			$table->text('criteria_achieved')->nullable();
			$table->text('criteria_weights')->nullable();
			$table->text('outcomes_achieved')->nullable();
			$table->text('outcomes_attempted')->nullable();
			$table->text('criteria_achieved_percentage')->nullable();
			$table->text('criteria_participant_count')->nullable();
			$table->text('criteria_achiever_count')->nullable();
		});
	}
}
