<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddMaxNumToCriteria extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('criteria', function (Blueprint $table) {
			$table->integer('num_scales');
			$table->integer('max_score');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('criteria', function (Blueprint $table) {
			$table->dropColumn(array('num_scales', 'max_score'));
		});
	}
}
