<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Blade;

class DeleteMinMaxScales extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('scales', function (Blueprint $table) {
			$table->dropColumn(array('min_score', 'max_score'));
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('scales', function (Blueprint $table) {
			$table->integer('min_score')->unsigned();
			$table->integer('max_score')->unsigned();
		});
	}
}
